MultiFileWordCount.MyInputFormat (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples
Class MultiFileWordCount.MyInputFormat

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
              org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat<MultiFileWordCount.WordOffset,Text>
                  org.apache.hadoop.examples.MultiFileWordCount.MyInputFormat

Enclosing class:
  MultiFileWordCount

    public static class MultiFileWordCount.MyInputFormat

extends CombineFileInputFormat<MultiFileWordCount.WordOffset,Text>

To use `CombineFileInputFormat`, one should extend it, to return a (custom) `RecordReader`. CombineFileInputFormat uses `CombineFileSplit`s.

Constructor Summary
`MultiFileWordCount.MyInputFormat()`

Method Summary
`RecordReader<MultiFileWordCount.WordOffset,Text>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` This is not implemented yet.

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat
`createPool, createPool, getSplits, setMaxSplitSize, setMinSplitSizeNode, setMinSplitSizeRack`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, isSplitable, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFileWordCount.MyInputFormat

    public MultiFileWordCount.MyInputFormat()

Method Detail

### createRecordReader

    public RecordReader<MultiFileWordCount.WordOffset,Text> createRecordReader(InputSplit split,
                                                                               TaskAttemptContext context)
                                                                        throws IOException

  Description copied from class: `CombineFileInputFormat`
  This is not implemented yet.

  Specified by:
    `createRecordReader` in class `CombineFileInputFormat<MultiFileWordCount.WordOffset,Text>`
  Parameters:
    `split` - the split to be read
    `context` - the information about the task
  Returns:
    a new record reader
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation